/* Customs properties */
:root {
    --primary:#213E8A ;
    --secondary: #2657A4;
    --light-gray: #eeeeec; 
    --light-media-gray: #DDDBDC;
    --black: #1f1e1e;
    --white: #fff;
    --dark-medium-gray: #686868; 
    --dark-gray: #434343;

    --accent: #E30B17; 

    --separacion: 5rem;

    --mainFont: "Roboto", sans-serif;

}

html {
    box-sizing: border-box;
    font-size: 62.5%;
}
*, *::before, *:after {
    box-sizing: inherit;
}

body {
    font-family: var(--mainFont);
    font-size: 1.6rem;
    line-height: 1.5;

    @media (min-width: 768px) {
        padding: 2rem 0;
        background: linear-gradient(to bottom, var(--dark-medium-gray), var(--dark-gray));
        background-repeat: no-repeat;
        
    }
}


/* Globales */

.contenedor {
    max-width: 120rem;
    width: 90%;
    margin: 0 auto;
}

h1, h2, h3 {
    font-weight: 900;
    font-family: var(--mainFont);
    margin: calc(var(--separacion));
}

h1 {
    font-size: 4.4rem;
}

h2 {
    font-size: 3.6rem;
}

h3 {
    font-size: 2.8rem;
}


img {
    max-width: 100%;
    display: block;
}

.contenedor {
    max-width: 120rem;
    margin: 0 auto;
    width: 90%;
}

/* Utilidades */

.text-center {
    text-align: center;
}

.mt-5 {
    margin-top: 5rem;
}


/* Header */

.allContenedor{
    background:linear-gradient(to bottom, var(--light-media-gray), var(--light-gray));
    background-repeat: no-repeat;
}

@media (min-width: 768px) {
    .allContenedor{
        width: 50%;
        margin: 0 auto;
        border-radius: 2rem;
        
    }
}

.header {
    padding: 1rem 2rem;

}

.header__share{
    display: flex;
    justify-content: flex-end;
}

.header__btnIcon{
    font-size: 2rem;
    color: var(--primary);
    text-decoration: none;
    border: none;
    cursor: pointer;
}

.header__btnIcon:hover{
    opacity: 80%;
}


#header__about-intro {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
    margin-top: 2.5rem;
    justify-content: center;
    align-items: center;
}


.header img {
    width: 50rem;
}

.header p {
    font-size: 1.6rem;
    color: var(--dark-medium-gray);
}

/* Main */

/* Social media */

.social {
    padding-bottom: var(--separacion);;
}

[class$="title"] {
    text-align: center;
    color: var(--dark-gray);
    font-size: 1.8rem;  
    font-weight: 700; 
}

@media (min-width: 768px) {
    [class$="title"] {
        font-size: 2rem;   
    }
}

[class$="title"]::before {
    content: '';
    display: block;
    height: .1rem;
    width: 90%;
    max-width: 60rem;
    margin: 2rem auto 2.5rem auto;
    background-color: #cdcbcb;
}

@media (min-width: 768px) {
    [class$="title"]::before {
        width: 100%;
    }
    }

.social__icons {
    margin-top: 2rem;
    display: flex;
    justify-content: center;
    gap: 3rem;
}

@media (min-width: 768px) {
    .social__icons{
        gap: 6rem;
    }
}

.social__link{
    color: var(--primary);
    text-decoration: none;
    font-size: 4rem;
}

.social__link:hover{
    opacity: 80%;
}

.social__buttons{
    display: flex;
    flex-direction: column;
    align-items: center;
}

@media (min-width: 768px) {
    .social__buttons{
        flex-direction: row;
        gap: 1rem;
        padding: 0 3rem;
    }
}

[class$="btn"]{
    display: grid;
    /* La 1ª columna toma el ancho del icono, la 2ª toma el centro libre, la 3ª compensa a la derecha */
    grid-template-columns: auto 1fr auto;
    align-items: center;
    font-size: 1.6rem;
    
}

.social__btn {
    text-decoration: none;
    color: var(--primary);
    border: 1px solid var(--primary);
    padding: 1rem 2rem;
    margin-top: 2.5rem;
    width: 80%;
    border-radius: 2rem;
    text-align: center;

}

.social__btn:hover{
    color: var(--white);
    background-color: var(--primary);
}


/* Products */
.products__grid {
    display: flex;
    flex-direction: row;
    margin-top: var(--separacion);
    gap: 3rem;
    overflow-y: hidden;
    overflow-x: auto;
    >* {
        scroll-snap-align: center;
    }
    padding-bottom: 5rem;
}

.products__grid a {
    text-decoration: none;
}

.product {
    background-color: var(--white);
    padding: 2rem;
    border-radius: 50%;
    width: 20rem;
    height: 20rem;
    display: flex;
    flex-direction: column;
    gap: .5rem;
    align-items: center;
    justify-content: center;

    transition: box-shadow 0.3s ease;
}

.product:hover{
    box-shadow: 5px 8px 20px var(--light-media-gray);
}

.product img{
    width: 90%;
    height: 90%;
    object-fit: contain;
}

.product h3 {
    font-size: 1.6rem;
    color: var(--dark-medium-gray);
    text-align: center;
}

/* Lastest Post */
.posts {
    padding: 3rem 0;
}

.posts__grid{
    display: flex;
    justify-content: center;
}

.post{
    background-color: var(--white);
    border-radius: 2rem;
    margin-top: 3rem;
    overflow: hidden;
    width: 30rem;
    height: 41rem;
    transition: transform 0.3s ease;
}


.post:hover {
    transform: translateY(-3px);
}

.post__link{
    text-decoration: none;
}

.post__link p {
    font-size: 1.6rem;
    color: var(--black);
    padding: 2rem;
}

.post__link img{
    object-fit: cover;
}

/* Footer */
.footer {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.footer__description {
    text-align: center;
    font-size: 1.2rem;
    color: var(--dark-medium-gray);
}

.footer::before{
    content: '';
    display: block;
    height: .1rem;
    width: 100%;
    margin-bottom: .5rem;
    background-color: #cdcbcb;
}

/*------Modal --------- */
.overlayModal {
    position: fixed;
    margin: 0 auto;
    width: 100vw;
    height: 100vh;
    display: none;
    top: 0;
    left: 0;
    justify-content: center;
    align-items: center;
    background-color: rgba(0 0 0 / .6);
    z-index: 9999;
}

.share-modal{
    background-color: white;
    width: 40rem;
    margin: 0 auto;
    border-radius: 2rem;
    padding: 1rem 2rem 4rem 2rem;
    position: relative;
}

.modal-header{
    display: flex;
    flex-direction: column;
}

.modal-header__close{
    display: flex;
    flex-direction: row;
    align-items: end;
    justify-content: end;
    gap: 1rem;
    width: 100%;
}

.modal-btn{
    font-size: 3.5rem;
    color: var(--dark-gray);
    cursor: pointer;
}

.modal-header {
    margin: 0;
}

.modal-header img{
    width: 70%;
}

.modal-header h2{
    margin-top: 1rem;
    font-size: 1.6rem;
    color: var(--dark-gray);
}

.links{
    margin-top: 2rem;
}

.links__buttons {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 2rem;
}

.link__btn {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 1rem;
    color: var(--dark-gray);
    padding: 1rem 2rem;
    width: 100%;
    border-color: var(--dark-gray);
    border: .5px solid var(--light-media-gray);
    text-decoration: none;
    border-radius: 1rem;
    cursor: pointer;
}

.link__btn:hover{
    background-color: var(--light-gray);
}















